Check payment order status
GET
/anyspend/status/{orderId}
Authentication
Bearer Token API Key (header: X-API-Key)
Path Parameters
orderId
string (uuid)
required
path
Responses
200
Order status
No response body
400
Invalid order ID format
404
Order not found
502
Payment provider error
curl -X GET 'https://shopsniffer.com/api/anyspend/status/550e8400-e29b-41d4-a716-446655440000' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://shopsniffer.com/api/anyspend/status/550e8400-e29b-41d4-a716-446655440000', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://shopsniffer.com/api/anyspend/status/550e8400-e29b-41d4-a716-446655440000', headers=headers)print(response.json())
API Playground
Try this endpoint
GET
/anyspend/status/{orderId}